Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(4)

Issue 2890863003: DevTools/Coverage: filter out content scripts (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 days, 18 hours ago by caseq
Modified:
4 days, 23 hours ago
Reviewers:
alph
CC:
chromium-reviews, caseq+blink_chromium.org, lushnikov+blink_chromium.org, pfeldman+blink_chromium.org, apavlov+blink_chromium.org, devtools-reviews_chromium.org, blink-reviews, pfeldman, kozyatinskiy+blink_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

DevTools/Coverage: filter out content scripts - add a 'Content Script' checkbox (off by default) to toggle whether content scripts are visible in Coverage list view; - unconditionally filter out 'extension::...' API bindings; - brought bottom line stats in accordance with the setting; - (drive by) moar space by default for 'Unused Bytes' column. Review-Url: https://codereview.chromium.org/2890863003 Cr-Commit-Position: refs/heads/master@{#473238} Committed: https://chromium.googlesource.com/chromium/src/+/b749c1344d0ed1b9a76e4cffcf5d6980f331e322

Patch Set 1 #

Total comments: 1

Patch Set 2 : DevTools/Coverage: filter out content scripts #

Unified diffs Side-by-side diffs Delta from patch set Stats (+74 lines, -38 lines) Patch
M third_party/WebKit/Source/devtools/front_end/coverage/CoverageListView.js View 1 5 chunks +16 lines, -20 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/coverage/CoverageModel.js View 3 chunks +19 lines, -6 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/coverage/CoverageView.js View 3 chunks +39 lines, -12 lines 0 comments Download
Trybot results:  chromium_presubmit   win_chromium_rel_ng   linux_chromium_chromeos_ozone_rel_ng   ios-simulator   win_clang   win_chromium_x64_rel_ng   mac_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-device-xcode-clang   ios-device   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   chromeos_daisy_chromium_compile_only_ng   linux_chromium_asan_rel_ng   cast_shell_linux   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_android   android_cronet   android_n5x_swarming_rel   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe   win_chromium_rel_ng   chromium_presubmit   win_chromium_rel_ng   linux_chromium_rel_ng   win_chromium_rel_ng   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   chromium_presubmit   linux_android_rel_ng   linux_chromium_chromeos_ozone_rel_ng   ios-simulator   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_compile_dbg_ng   mac_chromium_rel_ng   ios-simulator-xcode-clang   ios-simulator   ios-device-xcode-clang   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   cast_shell_linux   chromeos_amd64-generic_chromium_compile_only_ng   linux_android_rel_ng   android_n5x_swarming_rel   cast_shell_android   android_cronet   android_compile_dbg   android_arm64_dbg_recipe   android_clang_dbg_recipe 
Commit queue not available (can’t edit this change).

Messages

Total messages: 22 (12 generated)
caseq
6 days, 17 hours ago (2017-05-17 23:45:18 UTC) #2
alph
lgtm https://codereview.chromium.org/2890863003/diff/1/third_party/WebKit/Source/devtools/front_end/coverage/CoverageListView.js File third_party/WebKit/Source/devtools/front_end/coverage/CoverageListView.js (right): https://codereview.chromium.org/2890863003/diff/1/third_party/WebKit/Source/devtools/front_end/coverage/CoverageListView.js#newcode13 third_party/WebKit/Source/devtools/front_end/coverage/CoverageListView.js:13: /** @type {function(!Coverage.URLCoverageInfo):boolean} */ no need to annotate
6 days, 16 hours ago (2017-05-18 01:02:31 UTC) #3
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2890863003/20001
6 days, 15 hours ago (2017-05-18 02:09:44 UTC) #6
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_tsan_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_tsan_rel_ng/builds/77284)
6 days, 15 hours ago (2017-05-18 02:41:30 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2890863003/20001
5 days, 23 hours ago (2017-05-18 18:01:09 UTC) #10
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/448811)
5 days, 17 hours ago (2017-05-19 00:20:03 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2890863003/20001
5 days, 16 hours ago (2017-05-19 01:35:10 UTC) #14
commit-bot: I haz the power
Prior attempt to commit was detected, but we were not able to check whether the ...
5 days, 11 hours ago (2017-05-19 06:03:42 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2890863003/20001
5 days ago (2017-05-19 17:41:09 UTC) #19
commit-bot: I haz the power
4 days, 23 hours ago (2017-05-19 17:47:59 UTC) #22
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/b749c1344d0ed1b9a76e4cffcf5d...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06